@import './variables';

.mat-menu-panel,
.mat-select-panel,
mat-dialog-container,
mat-datepicker-content {
  background: $color-secondary;
  border: 1px solid $color-border;
  border-radius: $border-radius;
}

mat-pseudo-checkbox.mat-pseudo-checkbox-checked {
  background-color: $color-accent1 !important;
}

.warn-snackbar {
  background: $color-warn-light;
  color: $color-text;
}

.mat-dialog-container {
  font-size: 1rem;
  background: $color-primary;
  h1 {
    font-size: 2rem;
    font-family: 'TitilliumWeb';
  }
  .mat-dialog-content {
    font-family: 'TitilliumWeb';
    font-size: 20px;
    min-height: 50px;
    overflow: hidden;
  }
}

mat-form-field.mat-focused label.mat-form-field-label {
  color: $color-text !important;
}
form {
  label,
  mat-form-field {
    color: $color-white !important;
  }
  mat-form-field {
    input,
    textarea {
      caret-color: $color-white !important;
    }
    &.mat-focused .mat-form-field-underline span.mat-form-field-ripple {
      background-color: $color-accent1;
    }
    .mat-datepicker-toggle-active {
      color: $color-accent1;
    }
  }
  label {
    caret-color: $color-white !important;
  }

  mat-chip-list .mat-chip-selected {
    background-color: $color-accent1 !important;
  }
}
.mat-pseudo-checkbox::after {
  color: $color-white !important;
}
mat-option {
  color: $color-white !important;

  &.mat-option mat-icon.mat-icon {
    margin-right: 0;
  }
  span.mat-option-text {
    display: flex;
    align-items: center;
  }
}
